Jupiter ERP
Account API

List files

/api/account/files

GETHTTP
get/api/account/files

Example request

GET https://api.jupiter-erp.com/api/account/files

Code
curl -X GET 'https://api.jupiter-erp.com/api/account/files' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'X-Account-Uuid: YOUR_ACCOUNT_UUID' \
  -H 'Accept: application/json'

Parameters

NameInRequiredDescription
folder_idquerynoFilter by folder ID
inboxquerynoSelects only inbox files
trashquerynoSelects only deleted files
categoryquerynoSupports SQL-like syntax: - `test*`: begins with `test` - `*test`: ends with `test` - `*test*`: contains `test` - `test`: exact match.
date_fromquerynoSearch from date
date_toquerynoSearch to date
contact_idquerynoFilter by contact ID
file_namequerynoSupports SQL-like syntax: - `test*`: begins with `test` - `*test`: ends with `test` - `*test*`: contains `test` - `test`: exact match.
created_user_idquerynoFilter by user ID
created_at_fromquerynoSearch from created_at
created_at_toquerynoSearch to created_at
order_byquerynoSort by a specific field
#/components/parameters/OrderDirParameter
#/components/parameters/PerPageParameter
#/components/parameters/PageParameter

Responses

200OK
FieldTypeDescription
data*object[]

array

Elements

FieldTypeDescription
categorystring
contactobject
FieldTypeDescription
avatarobject
FieldTypeDescription
urlstring
namestring
contact_idinteger
created_atstring (date-time)Creation timestamp in ISO 8601 format.
created_byobject
FieldTypeDescription
image_urlstring
namestring
created_user_idinteger
datestring
deleted_atstring (date-time)Creation timestamp in ISO 8601 format.
file_bytesinteger
file_extstring
file_name*string
file_typestring
folderobject
FieldTypeDescription
name*string
pathstringFull folder path from root to the file's folder (parent segments joined with " / ").
folder_idinteger
id*integer
is_xmlboolean
newboolean
notesstring
owner_entity_idintegerID of the owner entity within the account.
owner_entity_labelstringCached display label of the linked owner entity (e.g. invoice number).
owner_entity_typestringAPI entity type of the owner (e.g. Invoice, Receipt).
protectedboolean
reference_numberstring
scanned_atstring
thumbnail_urlstring
updated_atstring (date-time)Last update timestamp in ISO 8601 format.
urlstring
meta*object
FieldTypeDescription
current_page*integerThe current page number.
items_from*integerThe starting item number on the current page.
items_to*integerThe ending item number on the current page.
last_page*integerThe last page number.
per_page*integerThe number of items per page.
total*integerThe total number of items.
Example response
{
  "data": [
    {
      "id": 0,
      "category": "string",
      "date": "string",
      "reference_number": "string",
      "protected": true,
      "new": true,
      "file_name": "string"
    }
  ],
  "meta": {
    "current_page": 1,
    "last_page": 1,
    "per_page": 15,
    "total": 1,
    "items_from": 1,
    "items_to": 1
  }
}
Files

Questions about integration?

GET /api/account/files · Jupiter ERP